Bug 739278 - Review Request: perl-HTTP-Server-Simple-Authen - Authentication plugin for HTTP::Server::Simple
Summary: Review Request: perl-HTTP-Server-Simple-Authen - Authentication plugin for HT...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-17 07:02 UTC by Remi Collet
Modified: 2011-09-30 18:47 UTC (History)
3 users (show)

Fixed In Version: perl-HTTP-Server-Simple-Authen-0.04-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-29 23:29:27 UTC
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2011-09-17 07:02:41 UTC
Spec URL: https://raw.github.com/remicollet/remirepo/master/perl-HTTP-Server-Simple-Authen/perl-HTTP-Server-Simple-Authen.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/perl-HTTP-Server-Simple-Authen-0.04-1.remi.src.rpm
Description: 
HTTP::Server::Simple::Authen is an HTTP::Server::Simple plugin to allow
HTTP authentication. Authentication scheme is pluggable and you can use
whatever Authentication protocol that Authen::Simple supports.


Koji scratch build (EPEL-6):
http://koji.fedoraproject.org/koji/taskinfo?taskID=3357054

rpmlint output seems ok:
perl-HTTP-Server-Simple-Authen.spec: I: checking-url http://www.cpan.org/modules/by-module/HTTP/HTTP-Server-Simple-Authen-0.04.tar.gz (timeout 10 seconds)
perl-HTTP-Server-Simple-Authen.src: I: checking
perl-HTTP-Server-Simple-Authen.src: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
perl-HTTP-Server-Simple-Authen.src: I: checking-url http://search.cpan.org/dist/HTTP-Server-Simple-Authen/ (timeout 10 seconds)
perl-HTTP-Server-Simple-Authen.src: I: checking-url http://www.cpan.org/modules/by-module/HTTP/HTTP-Server-Simple-Authen-0.04.tar.gz (timeout 10 seconds)
perl-HTTP-Server-Simple-Authen.noarch: I: checking
perl-HTTP-Server-Simple-Authen.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
perl-HTTP-Server-Simple-Authen.noarch: W: incoherent-version-in-changelog 0.04-1 ['0.04-1.fc15.remi', '0.04-1.remi']
perl-HTTP-Server-Simple-Authen.noarch: I: checking-url http://search.cpan.org/dist/HTTP-Server-Simple-Authen/ (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 3 warnings.

Comment 1 Emmanuel Seyman 2011-09-18 09:51:48 UTC
Taking.

Comment 2 Emmanuel Seyman 2011-09-18 10:28:02 UTC
=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3358478

 [x] Rpmlint output:
perl-HTTP-Server-Simple-Authen.noarch: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
perl-HTTP-Server-Simple-Authen.src: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
None specified, default used.

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
5dc1d5206e853fb66828341d938c5544  HTTP-Server-Simple-Authen-0.04.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide-x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3358478
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=1, Tests=1,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.02 cusr  0.00 csys =  0.05 CPU)
Result: PASS

Note that the "rm -rf %{buildroot}" line at the beginning of the %install section is no longer needed.

APPROVED.

Comment 3 Remi Collet 2011-09-18 10:46:53 UTC
Thanks for the review


New Package SCM Request
=======================
Package Name: perl-HTTP-Server-Simple-Authen
Short Description: Authentication plugin for HTTP::Server::Simple 
Owners: remi
Branches: f14 f15 f16 el6
InitialCC:

Comment 4 Gwyn Ciesla 2011-09-19 01:44:41 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-09-19 17:37:04 UTC
perl-HTTP-Server-Simple-Authen-0.04-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-HTTP-Server-Simple-Authen-0.04-1.fc16

Comment 6 Fedora Update System 2011-09-19 17:37:29 UTC
perl-HTTP-Server-Simple-Authen-0.04-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-HTTP-Server-Simple-Authen-0.04-1.fc15

Comment 7 Fedora Update System 2011-09-19 17:39:35 UTC
perl-HTTP-Server-Simple-Authen-0.04-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-HTTP-Server-Simple-Authen-0.04-1.fc14

Comment 8 Fedora Update System 2011-09-19 22:57:29 UTC
perl-HTTP-Server-Simple-Authen-0.04-1.fc14 has been pushed to the Fedora 14 testing repository.

Comment 9 Fedora Update System 2011-09-29 23:29:19 UTC
perl-HTTP-Server-Simple-Authen-0.04-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-09-29 23:32:27 UTC
perl-HTTP-Server-Simple-Authen-0.04-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 11 Fedora Update System 2011-09-30 18:47:50 UTC
perl-HTTP-Server-Simple-Authen-0.04-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.